Package org.apache.sysds.parser

## Class IntIdentifier

- java.lang.Object
- - org.apache.sysds.parser.Expression
  - - org.apache.sysds.parser.Identifier
    - - org.apache.sysds.parser.ConstIdentifier
      - - org.apache.sysds.parser.IntIdentifier

- All Implemented Interfaces:
    `ParseInfo`

      public class IntIdentifier
      extends ConstIdentifier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

      `Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntIdentifier​(long val)` |
    `IntIdentifier​(long val, ParseInfo parseInfo)` |
    `IntIdentifier​(org.antlr.v4.runtime.ParserRuleContext ctx, long val, String filename)` |
    `IntIdentifier​(IntIdentifier i, ParseInfo parseInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getLongValue()` |
    `long` | `getValue()` |
    `void` | `multiplyByMinusOne()` |
    `Expression` | `rewriteExpression​(String prefix)` |
    `String` | `toString()` |
    `VariableSet` | `variablesRead()` |
    `VariableSet` | `variablesUpdated()` |

    - ### Methods inherited from class org.apache.sysds.parser.Identifier

      `computeDataType, dimsKnown, getBlocksize, getDataType, getDim1, getDim2, getFileFormat, getNnz, getPrivacy, getValueType, isScalarBoolean, setBlocksize, setBooleanProperties, setDataType, setDimensions, setDimensionValueProperties, setFileFormat, setIntProperties, setNnz, setPrivacy, setPrivacy, setProperties, setValueType, validateExpression`

    - ### Methods inherited from class org.apache.sysds.parser.Expression

      `computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, equals, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, hashCode, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntIdentifier

          public IntIdentifier​(long val)

    - #### IntIdentifier

          public IntIdentifier​(long val,
                               ParseInfo parseInfo)

    - #### IntIdentifier

          public IntIdentifier​(IntIdentifier i,
                               ParseInfo parseInfo)

    - #### IntIdentifier

          public IntIdentifier​(org.antlr.v4.runtime.ParserRuleContext ctx,
                               long val,
                               String filename)

  - ### Method Detail

    - #### rewriteExpression

          public Expression rewriteExpression​(String prefix)

      Specified by:
        `rewriteExpression` in class `Expression`

    - #### multiplyByMinusOne

          public void multiplyByMinusOne()

    - #### getValue

          public long getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### variablesRead

          public VariableSet variablesRead()

      Specified by:
        `variablesRead` in class `Expression`

    - #### variablesUpdated

          public VariableSet variablesUpdated()

      Specified by:
        `variablesUpdated` in class `Expression`

    - #### getLongValue

          public long getLongValue()

      Specified by:
        `getLongValue` in class `ConstIdentifier`